$font-family:  'Lota',Helvetica,Arial,sans-serif;

$royal: #0D0AE2;
$dark: #112C5C;
$cyan: #00E4F5;
$peach: #FF8B6E;
$gold: #FFCF00;
$mist: #EBFAFE;
$lilac: #ECECFD;
$black: #000000;
$white: #FFFFFF;
$mint: #ECFAFE;
$darkBlue: #06255F;

$break-small: 768px;
$break-large: 1046px;
$break-xlarge: 1300px;

@mixin mq($media) {
  @if $media == sm {
    @media only screen and (max-width: $break-small) { @content; }
  }
  @else if $media == md {
    @media only screen and (min-width: $break-small + 1) and (max-width: $break-large) { @content; }
  }
  @else if $media == smd {
    @media only screen and (max-width: $break-large) { @content; }
  }
  @else if $media == lg {
    @media only screen and (min-width: $break-large + 1) { @content; }
  }
  @else if $media == xlg {
    @media only screen and (max-width: $break-xlarge) { @content; }
  }
}

.example {
  float: left;
  width: 250px;
  @include mq(sm) { width: 100% ;}
  @include mq(md) { width: 125px; }
  @include mq(lg) { float: none; }
}

.javascript-warning {
  margin: 0px auto;
  text-align: center;
  color: $peach;
  font-size: 25px;
  font-weight: bold;
  width: 100%;
  display: block;
}

// extenders: global classes
.navlink{
  color: $black;
  text-transform: uppercase;
  font-weight: 900;
  font-size: 14px;
  letter-spacing: .075em;

  &:hover{
    color: $royal;
    transition: all .4s;
  }
}

.profile {
  position: relative;

  img {
    position: absolute;
    top: -5px;
    left: -75px;
    width: 55px;
  }
}

.inner{
  padding: 40px 75px;
  position: relative;
  overflow: hidden;
  @include mq(smd) { padding: 16px; }
}

.button{
  background: #0D0AE2;
  border-radius: 100px;
  color: white;
  border: none;
  -webkit-appearance: none;
  font-family: $font-family;
  font-weight: bold;
  padding: 12px 42px;
  font-size: 14px;
  display: inline-block;
  transition: all .4s;

  &:hover{
    background-color: lighten($royal, 20%);
  }

  &:visited{
    color: $white;
  }
}

.buttonOutlined{
  @extend .button;
  background-color: rgba(0, 0, 0, 0);
  border: 2px solid $royal;
  color: $royal;
  padding: 10px 40px;

  &:hover{
    border: 2px solid lighten($royal, 20%);
    background-color: lighten($royal, 20%);
    color: $white;
  }

  &:visited{
    color: $royal;
  }
}

.bigButton{
  @extend .button;
  font-weight: bold;
  font-size: 40px;
  color: $black;
  width: 125%;
  position: absolute;
  width: 375px;
  font-size: 32px;
  padding-top: 12px;
  padding-bottom: 12px;
  top: 48px;
  left: calc(-50% + 82.5px);

  &:hover{
    //padding: 12px 20px 12px;
    transition: all .4s;
  }
}

.textInput{
  vertical-align: middle;
  background: $lilac;
  border: none;
  -webkit-appearance: none;
  font-size: 20px;
  width: 250px;
  margin-right: 4px;
  display: inline-block;
  font-family: $font-family;
  padding: 12px 12px;
  box-sizing: border-box;
  border-radius: 2px;
  font-weight: bold;
  color: $darkBlue;
}

.hr{
  height: 1px;
  margin: 0 auto;
  display: block;
  border-top: 0;
  border-right: 0;
  border-left: 0;
  border-bottom: 1px solid $royal;
  margin-bottom: 56px;
}

///

.mob{
  display: none;
  @include mq(sm) { display: block; }
}

.nomob{
  @include mq(sm) { display: none; }
}
